
#include <stdio.h>
#include <iostream>
#include <string>
#include <sys/types.h>
#include <sys/stat.h>
#include <errno.h>

#include "dfs.hh"


int main(int argc, char *argv[]) {
  if(argc != 3) {
    cerr << "Usage: mkdfs <block device> <base directory>\n";
    return -1;
  }

  string volume = string(argv[1]);
  string base_path = string(argv[2]);

  cout << "Formatting " << volume << "\n";

  LogUsePOSIXBase *base = new LogUsePOSIXBase(base_path);

  if(DFS::format_volume(string(volume), base, true)) {
    cerr << "some kind of error!\n";
    return -1;
  }
  return 0;
}


