
#include <stdlib.h>
#include <stdio.h>
#include <iostream>
#include <string>
#include <sys/types.h>
#include <sys/stat.h>
#include <errno.h>

#include "dfs.hh"




void do_read_test(const char *block_dev_path, const char *base_path) {
  cout << "Test log\n";
  DFS dfs(block_dev_path, base_path);
  dfs.read_volume();
  cout << "Finished read test\n";
}


int main(int argc, char *argv[]) {
  if(argc != 3) {
    cerr << "Usage: readtest <block device> <base>\n";
    return -1;
  }
  char *volume = argv[1];
  char *base = argv[2];
  do_read_test(volume,base);
  
  
  return 0;
}


